//+------------------------------------------------------------------+
//|                                                       Alert+.mq4 |
//|                                                                  |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright ""
#property link      ""

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Red
#property indicator_color2 Lime

extern string _____1_____ = "  1";
extern int _1 = 13;
extern int __1 = 0; //0-3
extern int __1 = 0; //0-6

extern string _____2_____ = "  2";
extern int _2 = 34;
extern int __2 = 0; //0-3
extern int __2 = 0; //0-6

extern string _____3_____ = " CCI";
extern int _CCI = 50;
extern int __CCI = 0;//0-6

extern string _____4_____ = " RSI";
extern int _RSI = 34;
extern int __RSI = 0;//0-6

extern string _____5_____ = " MACD";
extern int _     = 15;
extern int _  = 25;
extern int __ = 19;
extern int __MACD = 0;

extern string _____6_____ = " ";
extern int __     = 222;
extern int __  = 2;//1-5
extern int __    = 221;
extern int __ = 2;//1-5 

extern string _____7_____ = " ";
extern int _      =1000;
extern bool __ =true;//false;
extern bool __ =true;//false;
extern string       = "stops.wav"; 
 
double ExtMapBuffer0[];
double ExtMapBuffer1[]; 
 
static datetime lastAlertTime;
 
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_ARROW,EMPTY,__);
   SetIndexArrow(0,__);
   SetIndexBuffer(0,ExtMapBuffer0);
   SetIndexEmptyValue(0,0.0);
   SetIndexStyle(1,DRAW_ARROW,EMPTY,__);
   SetIndexArrow(1,__);
   SetIndexBuffer(1,ExtMapBuffer1);
   SetIndexEmptyValue(1,0.0);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
  
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int dist = GetPeriod (Period());
    
   int limit;
   int counted_bars=IndicatorCounted();
   
   if(counted_bars<0) return(-1);

   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;

   if(limit>_)limit=_;

   for(int i=limit; i>=0; i--)
//----
     {
      double MA1_0 = iMA(Symbol(),0,_1,0,__1,__1,i);
      double MA1_1 = iMA(Symbol(),0,_1,0,__1,__1,i+1);  
      double MA2_0 = iMA(Symbol(),0,_2,0,__2,__2,i);
      double MA2_1 = iMA(Symbol(),0,_2,0,__2,__2,i+1);
  
      double CCI = iCCI(Symbol(),0,_CCI,__CCI,i);
  
      double RSI = iRSI(Symbol(),0,_RSI,__RSI,i);
  
      double MACD = iMACD(Symbol(),0,_,_,__,__MACD,0,i);
          
      if(MACD<0 && RSI<50 && CCI<0 && MA1_1>=MA2_1 && MA1_0<MA2_0 && Time[i] != lastAlertTime)
       {
        lastAlertTime = Time[i];
        
        ExtMapBuffer0[i] = High[i]+dist*Point;
            
        if (__)
        Alert("  .: ", Symbol(), "  , : ",s_GetPeriod(Period()));
        if (__)
        PlaySound();
       }
       
      if(MACD>0 && RSI>50 && CCI>0 && MA1_1<=MA2_1 && MA1_0>MA2_0 && Time[i] != lastAlertTime)
       {
        lastAlertTime = Time[i];
        
        ExtMapBuffer1[i] = Low[i]-30*Point;
           
        if (__)
        Alert("  .: ", Symbol(), "  , : ",s_GetPeriod(Period()));
        if (__)
        PlaySound();
       }
                 
   }  
   
//----
   return(0);
  }
//+------------------------------------------------------------------+

///      
int GetPeriod (int per)
{
switch ( per )
    {
        case 1:            return(25);
        case 5:            return(50);
        case 15:           return(80);
        case 30:           return(100);
        case 60:           return(120);
        case 240:          return(150);
        case 1440:         return(600);
        case 10080:        return(1000);
        case 43200:        return(2500);
    }
} 
  
///     
string s_GetPeriod (int i_per)
{
switch ( i_per )
    {
        case 1:            return("M1 ");
        case 5:            return("M5 ");
        case 15:           return("M15");
        case 30:           return("M30");
        case 60:           return("H1 ");
        case 240:          return("H4 ");
        case 1440:         return("D1 ");
        case 10080:        return("W1 ");
        case 43200:        return("MN1");
    }
}   